from django.shortcuts import render_to_response, get_object_or_404
from portfolio.models import portfolioEntry, portfolioData
from django.template import RequestContext
from PIL import Image
from cStringIO import StringIO
from urlparse import urlparse

def index(request, pic_id=0):
    start = pic_id
    e = int(pic_id) + 24   # 4 rows of 6 pictures
    p = int(pic_id) - 24
    if p < 0:
       p = 0
    prev = str(p)
    end = str(e)
    allImages = portfolioEntry.objects.all()[start:]
    if len(allImages) < 1:
       end = str(0)
    return render_to_response('index.html', {'allImages': allImages, 'prev': prev, 'end': end})

def ok(request):
    return render_to_response('add.html', context_instance=RequestContext(request))

def add(request):
    return render_to_response('add.html', context_instance=RequestContext(request))

def display(request):
    return render_to_response('display.html', context_instace=RequestContext(request))

def bio(request, pic_id=0):
    return render_to_response('bio.html', context_instance=RequestContext(request))

def update(request):
    entryname = request.POST['imageName']
    if entryname != "":
       key = request.POST['imageKey']
       if key == '123':
          p = portfolioEntry(image=request.FILES['imageImg'],
                             name= request.POST['imageName'],
                             price=request.POST['imagePrice'],
                             descr=request.POST['imageDescription'],
                             width = 0,
                             height = 0)
          p.save()
          # add thumbnail
          fn = p.image.url
          img_file = '/home/santfineart/images/' + fn[1:]
          resized_image = Image.open(img_file)
          # save size of image while we are here
          p.width, p.height = resized_image.size
          p.save()
          # make sure it is in RGB mode
          if resized_image.mode not in ('L','RGB'):
             resized_image = resized_image.convert('RGB')
          # resize the image to thumbnail using antialias
          resize = 128,128
          resized_image.thumbnail(resize, Image.ANTIALIAS)
          outfile = img_file + '.thumbnail'
          resized_image.save(outfile, 'JPEG')

    return render_to_response('ok.html', context_instance=RequestContext(request))

# Create your views here.
