from django.db import models
from django.core.files.storage import FileSystemStorage

fs = FileSystemStorage(location='/home/santfineart/images')

# Create your models here.

class portfolioEntry(models.Model):
      image = models.ImageField(storage=fs)
      name  = models.CharField(max_length=200)
      price = models.CharField(max_length=200)
      descr = models.CharField(max_length=200)
      height = models.IntegerField()
      width  = models.IntegerField()
      
      def __unicode__(self):
          return self.name

class portfolioData(models.Model):
      imageIndex = models.IntegerField()
      altIndex = models.IntegerField()

